# CTools API

OOP representation for `content_types`, `styles` and `access` types of [CTools](https://www.drupal.org/project/ctools) plugins.

## Main features

- Interfaces. You will never forget implement something or do it wrongly.
- Inheritance. No need to explain the benefits.
- Configuration. All forms builds on a single basis.
- Dependencies. Plugins could have a list of Drupal modules required for working.
- Templatable. Auto creation of theme hooks and their variants. Just create `.tpl.php` file.
- AJAX. Simpler than ever before.

## Examples

CTools API provide a set of useful plugins which also could be used as examples.

- Access
  - [HTTP Status Code](plugins/CTools/Plugins/Access/HTTPStatusCode.inc)
- Content types
  - [Entity Reference](plugins/CTools/Plugins/ContentTypes/EntityReference.inc)
  - [Custom Table](plugins/CTools/Plugins/ContentTypes/CustomTable/CustomTable.inc)
  - [Mini Panels](plugins/CTools/Plugins/ContentTypes/MiniPanels.inc)
- Styles
  - [Customizable Region](plugins/CTools/Plugins/Styles/CustomizableRegion.inc)
  - [Customizable Pane](plugins/CTools/Plugins/Styles/CustomizablePane.inc)
